Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class LinkedDataFormulaField

    java.lang.Object
      org.apache.poi.hssf.record.LinkedDataFormulaField

All Implemented Interfaces:
  java.lang.Cloneable, CustomField

public class LinkedDataFormulaField
extends java.lang.Object
implements CustomField

Not implemented yet. May commit it anyway just so people can see where I'm heading.

Author:
  Glen Stampoultzis (glens at apache.org)

Constructor Summary
`LinkedDataFormulaField()`

Method Summary
`java.lang.Object` | `clone()`
`int` | `fillField(byte[] data, short size, int offset)` Populates this fields data from the byte array passed in.
`java.util.Stack` | `getFormulaTokens()`
`int` | `getSize()`
`int` | `serializeField(int offset, byte[] data)` Converts this field to it's byte array form.
`void` | `setFormulaTokens(java.util.Stack formulaTokens)`
`java.lang.String` | `toString()`
`void` | `toString(java.lang.StringBuffer buffer)` Appends the string representation of this field to the supplied StringBuffer.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkedDataFormulaField

    public LinkedDataFormulaField()

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `CustomField`
  Returns:
    The size of this field in bytes. This operation is not valid until after the call to `fillField()`

### fillField

    public int fillField(byte[] data,
                         short size,
                         int offset)

  Description copied from interface: `CustomField`
  Populates this fields data from the byte array passed in.

  Specified by:
    `fillField` in interface `CustomField`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)
  Returns:
    the number of bytes read.

### toString

    public void toString(java.lang.StringBuffer buffer)

  Description copied from interface: `CustomField`
  Appends the string representation of this field to the supplied StringBuffer.

  Specified by:
    `toString` in interface `CustomField`
  Parameters:
    `buffer` - The string buffer to append to.

### toString

    public java.lang.String toString()

### serializeField

    public int serializeField(int offset,
                              byte[] data)

  Description copied from interface: `CustomField`
  Converts this field to it's byte array form.

  Specified by:
    `serializeField` in interface `CustomField`
  Parameters:
    `offset` - The offset into the byte array to start writing to.
    `data` - The data array to write to.
  Returns:
    The number of bytes written.

### clone

    public java.lang.Object clone()

### setFormulaTokens

    public void setFormulaTokens(java.util.Stack formulaTokens)

### getFormulaTokens

    public java.util.Stack getFormulaTokens()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.